//
//   program to view the header of a BYU SIR image file
//
//   Written by DGL 16 Apr 2003
//
//   This simple program reads the header of a BYU sir-format input file 
//   using c++
//
//   should be linked with: libsir.cpp sir_ez.c sir_io.c
//   requires includes: libsir.h sir3.h
//

#include "libsir.h"  // cpp interface routines

#include <iostream>

int main(int argc, char **argv)
{
  std::cout << "BYU SIR viewsirheader c++ program";
  if(argc < 2) {
    std::cout << "\nusage: %s file\n\n",argv[0];
    std::cout << " input parameters:\n";
    std::cout << "   file  =  input SIR file\n";
    return 0;
  }

  // open input file for reading
  FILE *imf;
  imf=fopen(argv[1],"r");
  if (imf == NULL ) {
    std::cout << "*** Error opening SIR file" << std::endl;
    return -1;
  }

  // read header of SIR image file
  sirheader head;        /* SIR file header structure */
  if (get_sir_head_file(imf, &head) < 0) {
    std::cout << "*** Error reading SIR header from file" << std::endl;
    return -1;
  }
  fclose(imf);

  print_sir_header(&head);

  return 0;
}
